# Glom::predicate_LayoutItem_Field_IsSameField< T_Element > Class Template Reference

A predicate for use with std::find_if() to find a LayoutItem_Field which refers to the same field, without comparing irrelevant stuff such as formatting. More...

Collaboration diagram for Glom::predicate_LayoutItem_Field_IsSameField< T_Element >:
[legend]

List of all members.

## Public Member Functions

| predicate_LayoutItem_Field_IsSameField (const sharedptr< const T_Element >& layout_item)
bool | operator() (const sharedptr< const T_Element >& element)

## Detailed Description

### template <class T_Element>
class Glom::predicate_LayoutItem_Field_IsSameField< T_Element >

A predicate for use with std::find_if() to find a LayoutItem_Field which refers to the same field, without comparing irrelevant stuff such as formatting.

## Constructor & Destructor Documentation

template <class T_Element >

Glom::predicate_LayoutItem_Field_IsSameField< T_Element >::predicate_LayoutItem_Field_IsSameField | ( | const sharedptr< const T_Element >& | layout_item | ) | `[inline]`

## Member Function Documentation

template <class T_Element >

bool Glom::predicate_LayoutItem_Field_IsSameField< T_Element >::operator() | ( | const sharedptr< const T_Element >& | element | ) | `[inline]`

The documentation for this class was generated from the following file:

- libglom/data_structure/layout/layoutitem_field.h